*======================金融中介创新对企业整体技术创新和不同类型技术创新的影响（数据1）=======================*
*表2 基准模型
tsset code year
qui reghdfe lnpatent lfrdinv lfrdinv2  lbankdev lsmdev licrg  ///
lgdpc lmkt lfm lfm2 t  teuro, absorb(code ) vce(cluster code year)
est store a1
qui reghdfe lncitation  lfrdinv lfrdinv2  lbankdev lsmdev licrg  ///
lgdpc lmkt lfm lfm2  t  teuro , absorb(code ) vce(cluster code year)
est store a2
qui reghdfe lnradical  lfrdinv lfrdinv2 lbankdev lsmdev licrg  ///
lgdpc lmkt lfm lfm2  t  teuro , absorb(code ) vce(cluster code year)
est store a3
qui reghdfe lnincrem lfrdinv lfrdinv2  lbankdev lsmdev licrg  ///
lgdpc lmkt lfm lfm2  t  teuro , absorb(code ) vce(cluster code year)
est store a4
qui reghdfe lnfeiziyin  lfrdinv lfrdinv2 lbankdev lsmdev licrg  ///
lgdpc lmkt lfm lfm2  t  teuro, absorb(code ) vce(cluster code year)
est store a5
qui reghdfe lnziyin  lfrdinv lfrdinv2  lbankdev lsmdev licrg  ///
lgdpc lmkt lfm lfm2  t  teuro, absorb(code ) vce(cluster code year)
est store a6
esttab a1 a2 a3  a4 a5 a6 using ///
baseline1.rtf,replace b(%6.4f) z(%6.4f) stats(r2_a N,fmt(4 4 0) ) ///
star(* 0.1 ** 0.05 *** 0.01)

*表4 稳健性检验(双重聚类无法满足矩条件，因此本文IV-GMM采用国家层面聚类处理）
qui  ivreghdfe lnpatent  lbankdev lsmdev licrg  ///
lgdpc lmkt  lfm lfm2  t  teuro (lfrdinv lfrdinv2=L.lfrdinv L.lfrdinv2  l2iv l2iv2)   , absorb(code ) gmm2s cluster(code)
est store c1
qui ivreghdfe lncitation  lbankdev lsmdev licrg  ///
lgdpc lmkt lfm lfm2 t  teuro (lfrdinv lfrdinv2=L.lfrdinv L.lfrdinv2  l2iv l2iv2) , absorb(code ) gmm2s cluster(code)
est store c2
qui ivreghdfe lnradical lbankdev lsmdev licrg  ///
lgdpc lmkt lfm lfm2 t  teuro (lfrdinv lfrdinv2=L.lfrdinv L.lfrdinv2  l2iv l2iv2) , absorb(code ) gmm2s cluster(code)
est store c3
qui ivreghdfe lnincrem  lbankdev lsmdev licrg  ///
lgdpc lmkt lfm lfm2 t  teuro (lfrdinv lfrdinv2=L.lfrdinv L.lfrdinv2  l2iv l2iv2), absorb(code ) gmm2s cluster(code)
est store c4
qui ivreghdfe lnfeiziyin  lbankdev lsmdev licrg  ///
lgdpc lmkt lfm lfm2 t  teuro (lfrdinv lfrdinv2=L.lfrdinv L.lfrdinv2  l2iv l2iv2) , absorb(code ) gmm2s cluster(code)
est store c5
qui ivreghdfe lnziyin lbankdev lsmdev licrg  ///
lgdpc lmkt lfm lfm2  t  teuro (lfrdinv lfrdinv2=L.lfrdinv L.lfrdinv2  l2iv l2iv2) , absorb(code ) gmm2s cluster(code)
est store c6
esttab c1 c2 c3 c4 c5 c6  using CLIV_GMM.rtf,replace b(%6.4f) z(%6.4f) ///
s(idstat widstat j jp r2_a N,fmt(4 4 4 4 4 4 0)) ///
star(* 0.1 ** 0.05 *** 0.01)

*======================金融中介创新对企业整体技术创新和不同类型技术创新影响的行业异质性（数据2）=======================*
*表1 描述性统计
logout, save(描述性统计) word replace:tabstat lnpatent lncitation lnradical  lnincrem lnfeiziyin lnziyin ///
lfrdinvtech  lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech,stats(N mean sd min max) f(%9.4f) c(s) 


egen id=group(country sic2)
tsset id year
*表3 基准模型
qui reghdfe lnpatent lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2 , absorb(code#year sic2) vce(cluster  year code)
est store a1
qui reghdfe lncitation lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2 , absorb(code#year sic2) vce(cluster  year code)
est store a2
qui reghdfe lnradical lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2, absorb(code#year sic2) vce(cluster  year code)
est store a3
qui reghdfe lnincrem lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2, absorb(code#year sic2) vce(cluster  year code)
est store a4
qui reghdfe lnfeiziyin lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2, absorb(code#year sic2) vce(cluster  year code)
est store a5
qui reghdfe lnziyin lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2 , absorb(code#year sic2) vce(cluster  year code)
est store a6
esttab a1 a2 a3  a4 a5 a6 using ///
baseline1.rtf,replace b(%6.4f) z(%6.4f) stats(r2_a N,fmt(4 4 0) ) ///
star(* 0.1 ** 0.05 *** 0.01)

*表5 稳健性检验1 
qui ivreghdfe lnpatent lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2     (lfrdinvtech lfrdinvtech2= L.lfrdinvtech L.lfrdinvtech2  l2ivtech l2ivtech12   ), absorb(code#year sic2) gmm2s cluster(code )
est store d1
qui ivreghdfe lncitation lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2    (lfrdinvtech lfrdinvtech2= L.lfrdinvtech L.lfrdinvtech2  l2ivtech l2ivtech12  ), absorb(code#year sic2) gmm2s cluster(code )
est store d2
qui ivreghdfe  lnradical lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2  (lfrdinvtech lfrdinvtech2=L.lfrdinvtech L.lfrdinvtech2  l2ivtech l2ivtech12   ), absorb(code#year sic2) gmm2s cluster(code )
est store d3
qui ivreghdfe lnincrem lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2 (lfrdinvtech lfrdinvtech2=L.lfrdinvtech L.lfrdinvtech2  l2ivtech l2ivtech12 ), absorb(code#year sic2) gmm2s cluster(code )
est store d4
qui ivreghdfe lnfeiziyin lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2 (lfrdinvtech lfrdinvtech2=  L.lfrdinvtech L.lfrdinvtech2  l2ivtech l2ivtech12 ), absorb(code#year sic2) gmm2s cluster(code )
est store d5
qui ivreghdfe lnziyin lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2 (lfrdinvtech lfrdinvtech2= L.lfrdinvtech L.lfrdinvtech2  l2ivtech l2ivtech12   ), absorb(code#year sic2) gmm2s cluster(code )
est store d6
esttab d1 d2 d3 d4 d5 d6  using CLIV_GMM.rtf,replace b(%6.4f) z(%6.4f) ///
s(idstat widstat j jp  N,fmt(4 4 4 4 4  0)) ///
star(* 0.1 ** 0.05 *** 0.01)

*表6 稳健性检验2
qui reghdfe lnpatent lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2 lfrdvtechcrisis lfrdvtech2crisis  , absorb(code#year sic2) vce(cluster  year code)
est store e1
qui reghdfe lncitation lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2 lfrdvtechcrisis lfrdvtech2crisis  , absorb(code#year sic2)  vce(cluster  year code)
est store e2
qui reghdfe lnradical lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2 lfrdvtechcrisis lfrdvtech2crisis  , absorb(code#year sic2)  vce(cluster  year code)
est store e3
qui reghdfe  lnincrem  lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2 lfrdvtechcrisis lfrdvtech2crisis  , absorb(code#year sic2)  vce(cluster  year code)
est store e4
qui reghdfe lnfeiziyin  lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2 lfrdvtechcrisis lfrdvtech2crisis  , absorb(code#year sic2) vce(cluster  year code)
est store e5
qui reghdfe lnziyin  lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2 lfrdvtechcrisis lfrdvtech2crisis , absorb(code#year sic2) vce(cluster  year code)
est store e6
esttab e1 e2 e3 e4 e5 e6  using ///
robust2.rtf,replace b(%6.4f) z(%6.4f) stats(r2_a N,fmt(4 4 0) ) ///
star(* 0.1 ** 0.05 *** 0.01)

*表7 机制检验
qui reghdfe lrdexp lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2 , absorb(code#year sic2) vce(cluster   year code)
est store h1
qui reghdfe lnpatent lrdexp lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2 , absorb(code#year sic2) vce(cluster  year code)
est store h2
qui reghdfe lncitation lrdexp lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2, absorb(code#year sic2) vce(cluster  year code)
est store h3
qui reghdfe lnradical lrdexp lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2, absorb(code#year sic2) vce(cluster  year code)
est store h4
qui reghdfe lnfeiziyin lrdexp lfrdinvtech lfrdinvtech2 lvalue lexport lbankdevtech lsmdevtech licrgtech ///
lgdpctech lmkttech lfmtech lfmtech2, absorb(code#year sic2) vce(cluster  year code)
est store h5
esttab h1 h2 h3 h4 h5 using ///
mechinsm.rtf,replace b(%6.4f) z(%6.4f) stats(r2_a N,fmt(4 4 0) ) ///
star(* 0.1 ** 0.05 *** 0.01)


*======================金融中介创新对企业整体技术创新和不同类型技术创新影响的行业异质性的稳健性检验3（数据3和数据4）=======================*
*附录中的表1（对应数据3）和表2（对应数据4）
qui reghdfe lnpatent lfrdinvtecho lfrdinvtecho2 lvalue lexport lbankdevtecho  lsmdevtecho   licrgtecho ///
lgdpctecho lmkttecho lfmtecho lfmtecho2, absorb(code#year sic2) vce(cluster  year code)
est store f1
qui reghdfe lncitation lfrdinvtecho lfrdinvtecho2 lvalue lexport lbankdevtecho  lsmdevtecho   licrgtecho ///
lgdpctecho lmkttecho lfmtecho lfmtecho2, absorb(code#year sic2) vce(cluster   year code)
est store f2
qui reghdfe lnradical lfrdinvtecho lfrdinvtecho2 lvalue lexport lbankdevtecho  lsmdevtecho   licrgtecho ///
lgdpctecho lmkttecho lfmtecho lfmtecho2, absorb(code#year sic2) vce(cluster   year code)
est store f3
qui reghdfe lnincrem   lfrdinvtecho lfrdinvtecho2 lvalue lexport lbankdevtecho  lsmdevtecho   licrgtecho ///
lgdpctecho lmkttecho lfmtecho lfmtecho2 , absorb(code#year sic2) vce(cluster   year code)
est store f4
qui reghdfe lnfeiziyin lfrdinvtecho lfrdinvtecho2 lvalue lexport lbankdevtecho  lsmdevtecho   licrgtecho ///
lgdpctecho lmkttecho lfmtecho lfmtecho2, absorb(code#year sic2) vce(cluster   year code)
est store f5
qui reghdfe lnziyin lfrdinvtecho lfrdinvtecho2 lvalue lexport lbankdevtecho  lsmdevtecho   licrgtecho ///
lgdpctecho lmkttecho lfmtecho lfmtecho2, absorb(code#year sic2) vce(cluster  year code)
est store f6
esttab f1 f2 f3 f4 f5 f6 using ///
robust3.rtf,replace b(%6.4f) z(%6.4f) stats(r2_a N,fmt(4 4 0) ) ///
star(* 0.1 ** 0.05 *** 0.01)
